# -*- coding: utf-8 -*-
# Generated by Django 1.11.4 on 2017-08-08 05:18
from __future__ import unicode_literals

import autoslug.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('menus', '0001_initial'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='menuitem',
            options={'verbose_name': 'Menu Item'},
        ),
        migrations.RemoveField(
            model_name='menuitem',
            name='text',
        ),
        migrations.AlterField(
            model_name='menuitem',
            name='item_title',
            field=models.CharField(max_length=512, verbose_name='Title'),
        ),
        migrations.AlterField(
            model_name='menuitem',
            name='slug',
            field=autoslug.fields.AutoSlugField(editable=False, max_length=512, populate_from='item_title', unique=True),
        ),
        migrations.AlterField(
            model_name='menuitem',
            name='url',
            field=models.CharField(blank=True, max_length=512),
        ),
    ]
